/*
    Copyright (C) 1998  Michael Ravits

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _PLAYER_H
#define _PLAYER_H

extern "C" { char *get_current_dir_name(void); }

class player
{
  private:
	State		player_state;
	SeekState	seek_state;
	void		*dthread;
	int		seek_size;
	int		volume_size;
  public:
	player(void);
	~player(void);
	void	play(char *);
	void	stop(void);
	void	pause(void);
	void	seek(Direction, class screen &);
	void	set_volume(Direction, class screen &);
	bool	read_message(XA_Message &, int &);
	int	rread_pipe(void);
	void	set_state(State);
	void	set_seek_state(SeekState);
	void	free_decoder(void);
	bool	is_playing(void);
	bool	is_paused(void);
	bool	is_idle(void);
};

#endif
